function costVector=parallelHybrid(t_vec,SOC_start,SOC_final);

% costVector=parallelHybrid(t_vec,SOC_start,SOC_final);
%
% Function for calculating the all arc-costs from one node to all other possible nodes.
% 
% This function is called from dynProg1D.m
%  
% Inputs:
%  t_vec     - 1x2 matrix, with the start and stop time for the interval.
%  SOC_start - A single start value for SOC during the interval.
%  SOC_final - Vector (from the dicretization) with all possible final values for the
%             interval.
%
% Output:
%  costVector - Vector with the costs for all arcs from SOC_start. 
  
% Version 1.0,  2008-06-30 Lars Eriksson


% Implement your parallel hybrid model and calculate the arc costs below.
  
